View Issue Details

IDProjectCategoryView StatusLast Update
0000304Far Manager 1.7xPlugins API.Dialogpublic2007-07-16 16:06
ReportersamlyukovAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.71 
Summary0000304: DM_GETCURSORPOS для отмененного комбобокса
Descriptionоткрыть комбобокс и прокрутить в нем колесико мыши на n-ный элемент (или пробежаться по списку стрелками) - нажать Esc или закрыть комбобокс по щелчку левой клавиши мыши - заголовок комбобокса останется прежним. НО! по DM_GETCURSORPOS будет возвращать n-ный элемент, а не наш заголовок. И это есть баг.
TagsNo tags attached.
Build

Activities

samlyukov

2007-07-03 11:37

reporter   bugnote:0000521

сорри, опечатался - DM_LISTGETCURPOS, а не DM_GETCURSORPOS.

vskirdin

2007-07-05 05:35

administrator   bugnote:0000531

тестовый плагин давай

vskirdin

2007-07-05 08:19

administrator   bugnote:0000533

> И это есть баг
в обЧем нихрена не понял.
Что не так?
Что ожидается?
В чем баг?

разжевывай...

2007-07-05 09:40

 

sshoot_000.fss (20,987 bytes)

samlyukov

2007-07-05 09:40

reporter   bugnote:0000534

см мультик.
  вначале выбираю некоторый элемент и нажимаю [+] - он и подставляется.

  теперь просто перемещаюсь по элементам комбобокса, нажимаю Esc и [+]
  заголовок комбобокса прежний, но подставляется "левые" значения,
  а именно те НА КОТОРЫХ мы были ДО Esc.

  Проделываю данную операцию несколько раз для демонстрации при этом
  смотри на заголовок комбобокса и на подставленные значения в строке масок.

vskirdin

2007-07-05 10:28

administrator   bugnote:0000536

после 2241
если что - переоткрой сей баг с уточнениями...

samlyukov

2007-07-05 14:04

reporter   bugnote:0000537

Last edited: 2007-07-05 14:13

2241 сломалось перемещение по списку элементов в DI_LISTBOX.
Посмотреть можно на том плагине что я высылал тебе (или вообще любом другом с DI_LISTBOX'ом): отметь с десяток файлов
и попробуй по перемещаться в листе - перемещение останавливается на 2-м элементе вверх или вниз.

vskirdin

2007-07-06 07:09

administrator   bugnote:0000538

ндя... я подозревал, что в трех местах переборшил :-))
искать после 2242

Issue History

Date Modified Username Field Change
2007-07-03 11:25 samlyukov New Issue
2007-07-03 11:37 samlyukov Note Added: 0000521
2007-07-05 05:35 vskirdin Note Added: 0000531
2007-07-05 08:19 vskirdin Note Added: 0000533
2007-07-05 09:40 samlyukov File Added: sshoot_000.fss
2007-07-05 09:40 samlyukov Note Added: 0000534
2007-07-05 10:27 vskirdin Status new => assigned
2007-07-05 10:27 vskirdin Assigned To => vskirdin
2007-07-05 10:28 vskirdin Status assigned => resolved
2007-07-05 10:28 vskirdin Fixed in Version => 1.71
2007-07-05 10:28 vskirdin Resolution open => fixed
2007-07-05 10:28 vskirdin Note Added: 0000536
2007-07-05 14:04 samlyukov Status resolved => feedback
2007-07-05 14:04 samlyukov Resolution fixed => reopened
2007-07-05 14:04 samlyukov Note Added: 0000537
2007-07-05 14:11 samlyukov Note Edited: 0000537
2007-07-05 14:13 samlyukov Note Edited: 0000537
2007-07-06 07:09 vskirdin Status feedback => resolved
2007-07-06 07:09 vskirdin Resolution reopened => fixed
2007-07-06 07:09 vskirdin Note Added: 0000538
2007-07-16 16:06 alexy Status resolved => closed